commit a22e69ba7e5fdae320da7dec1bc4be9566f08299
Author: freddy77 <freddy77>
Date:   Wed Dec 16 08:22:57 2009 +0000

    Fix uninitilized memory access problem

diff --git a/ChangeLog b/ChangeLog
index 5d10067..d8630e0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Dec 16 09:22:41 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c: Fix uninitilized memory access problem
+
 Tue Dec 15 12:45:47 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/connectparams.c win32/winsetup.c:
 	- Fix compile under Windows
@@ -1995,4 +1998,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2908 2009/12/15 11:46:39 freddy77 Exp $
+$Id: ChangeLog,v 1.2909 2009/12/16 08:22:57 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index d8f3e6b..ef7239e 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.357 2009/12/02 22:58:21 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.358 2009/12/16 08:22:57 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -4542,7 +4542,6 @@ RETCODE
 dbsqlok(DBPROCESS * dbproc)
 {
 	TDSSOCKET *tds;
-	int done_flags;
 	TDS_INT result_type;
 	RETCODE return_code = SUCCEED;
 
@@ -4569,6 +4568,8 @@ dbsqlok(DBPROCESS * dbproc)
          */
 	for (;;) {
 		int tds_code;
+		int done_flags = 0;
+
 		/* 
 		 * If we hit an end token -- e.g. if the command
 		 * submitted returned no data (like an insert) -- then

